<?php
// If this file is called directly, abort.
if (!defined('ABSPATH')) {
    exit;
}
?>
<!-- Missing API Key -->
<div class="mementor-tts-section">
    <div class="mementor-tts-section-header api-missing-notice">
            <h2><span class="dashicons dashicons-flag"></span> <?php esc_html_e('Missing API Key', 'text-to-speech-tts'); ?></h2>
        </div>
    <div class="mementor-tts-section-content mementor-tts-pro-notice">
    <p>
        <?php 
            $settings_url = admin_url('admin.php?page=text-to-speech-tts-settings');
            $upgrade_url = admin_url('admin.php?page=text-to-speech-tts-account#upgrade');
            
            printf(
                wp_kses(
                    /* Translators: %1$s: URL to settings page, %2$s: URL to upgrade page */
                    __('<strong>Important Notice:</strong> Before using the plugin, please add your Elevenlabs API key on the <a href="%1$s"><strong>Settings page</strong></a>.<br/>Without an API key, audio generation will not be possible.<br/><br/><strong>No API Key?</strong> You can optionally <a href="%2$s" class="mementor-tts-upgrade-button normal-link"><strong>upgrade to pro</strong></a>, which provides 75,000 free audio credits each month!<br/>No registration with ElevenLabs required!', 'text-to-speech-tts'),
                    array(
                        'a' => array(
                            'href' => array(),
                            'target' => array(),
                            'class' => array()
                        ),
                        'br' => array(),
                        'strong' => array()
                    )
                ),
                esc_url($settings_url),
                esc_url($upgrade_url)
            );
            ?>
    </p>
    </div>
</div>